Subject: [PATCH] thermal: Add missing cpumask_clear

From: [email-masked] (Tomasz Figa)
Date: Sat, 05 Jul 2014 02:34:07 +0200

Hi Jonghwan,

On 05.07.2014 01:37, Jonghwan Choi wrote:
> On Fri, Jul 4, 2014 at 8:23 PM, Sachin Kamat <[email-masked]> wrote:
> 
>>> Cpumasks should be cleared before using.
>>
>> Please explain why and what is issue observed without this.
>>
> 
> -> When I checked the mask value, I knew that unwanted bit is set.
> 
> Test code without cpumask_clear.
> 
> +       cpumask_set_cpu(0, &mask_val);
> +       cpulist_scnprintf(buf, 64, &mask_val);
> +       printk("--ID [ %d] = %s \n", id, buf);
> +       th_zone->cool_dev[id] = cpufreq_cooling_register(&mask_val);
> 
> 
> Console message-> 4.861157] [c6] --ID [ 1] = 0,4-5,7 (4,5,7 cpu bit was set.)
> 
> And when I tried to register two cooling devices with cpumask_set_cpu(0, &mask_val) and cpumask_set_cpu(4, &mask_val). 
> 
> I found that cpu 0 bit is also set in latter cpumask. (I hope latter cpumask has a cpu 4 bit.)
> 
> So I think that cpumask_clear should be inserted.

I believe Sachin's concern was related to your patch description. A good
description should say what the patch changes and what is the rationale
behind this change. Also for fixes it is a good practice to specify
observed issues in patch description as well.

Best regards,
Tomasz